Function
clippedBeginPosition
Return the begin position of the clipping in the unclipped gapped sequence.
TPosition clippedBeginPosition(gaps)
Include Headers
seqan/align.h
Parameters

gaps | The Gaps object to query. Types: Gaps

Return Values
The begin position of the current clipped view in the unclipped gapped sequence.
Types: Position
Member of
Gaps
Examples
In the following gaps configuration, the result of clippedBeginPosition(gaps) is 1.
clipping [ )
(half-open interval)
gapped sequence: X--XXX-XX-
source position: 0111234456
unclipped view position: 0123456789
clipped view position: 0123456
See Also
setEndPosition, beginPosition, setClippedEndPosition, endPosition, setClippedBeginPosition, clippedEndPosition, setBeginPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57